Search Results for

Show / Hide Table of Contents

# Class AxisIncrementToRender

A location on an axis of a GraphView that may or may not have a label associated with it

##### Inheritance

System.Object
AxisIncrementToRender

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace: Terminal.Gui.Graphs

###### Assembly: Terminal.Gui.dll

##### Syntax

    public class AxisIncrementToRender

### Constructors

#### AxisIncrementToRender(Orientation, Int32, Single)

Describe a new section of an axis that requires an axis increment symbol and/or label

##### Declaration

    public AxisIncrementToRender(Orientation orientation, int screen, float value)

##### Parameters

Type | Name | Description
--- | --- | ---
Orientation | orientation |
System.Int32 | screen |
System.Single | value |

### Properties

#### Orientation

Direction of the parent axis

##### Declaration

    public Orientation Orientation { get; }

##### Property Value

Type | Description
--- | ---
Orientation |

#### ScreenLocation

The screen location (X or Y depending on Orientation) that the increment will be rendered at

##### Declaration

    public int ScreenLocation { get; }

##### Property Value

Type | Description
--- | ---
System.Int32 |

#### Value

The value at this position on the axis in graph space

##### Declaration

    public float Value { get; }

##### Property Value

Type | Description
--- | ---
System.Single |